org.apache.fop.render.pcl.fonts.truetype

## Class PCLTTFTable

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

Direct Known Subclasses:
  PCLTTFOS2FontTable, PCLTTFPCLTFontTable, PCLTTFPOSTFontTable

    public class PCLTTFTable
    extends Object

### Field Summary

Fields
`protected FontFileReader` `reader`

### Constructor Summary

Constructors
Constructor and Description
`PCLTTFTable(FontFileReader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `skipByte(FontFileReader reader, int skips)`
`protected void` `skipLong(FontFileReader reader, int skips)`
`protected void` `skipShort(FontFileReader reader, int skips)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### reader

    protected FontFileReader reader

### Constructor Detail

#### PCLTTFTable

    public PCLTTFTable(FontFileReader reader)

### Method Detail

#### skipShort

    protected void skipShort(FontFileReader reader,
                             int skips)
                      throws IOException

Throws:
  `IOException`

#### skipLong

    protected void skipLong(FontFileReader reader,
                            int skips)
                     throws IOException

Throws:
  `IOException`

#### skipByte

    protected void skipByte(FontFileReader reader,
                            int skips)
                     throws IOException

Throws:
  `IOException`